<?php
/**
*
* @author doktornotor
* @author Stoker 4.0
* @package Forum Goal - CSS3 Addon
* @version $Id: install_forum_goal_css3_addon.php, v1.0.3 2011/12/04 Exp $
* @copyright (c) 2011 Stoker 4.0 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

$mod_name = 'FORUM_GOALS_CSS3_ADDON';

$version_config_name = 'forum_goals_css3_addon_version';
$language_file = 'mods/forum_goals_css3_addon';

$versions = array(
	// Version 1.0.2
	'1.0.2'	=> array(		
		'config_add' => array(
			array('forum_goals_css_enable', 0),
			array('forum_goals_animation_enable', 0),
			array('forum_goals_stripes_enable', 1),
		),
		// purge the cache
		'cache_purge' => array(''),
	),
	// Version 1.0.3
	'1.0.3'	=> array(
		// Nothing new
	),
);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>